/**
  *  \file client/dialogs/simplemboxdlg.cc
  */

#include "client/dialogs/simplemboxdlg.h"
#include "client/widgets/helpwidget.h"
#include "client/widgets/msgdisplay.h"
#include "gfx/palette.h"
#include "ui/layout.h"
#include "ui/prefix.h"
#include "ui/widgets/button.h"
#include "ui/widgets/quit.h"
#include "util/nls.h"

WSimpleMailboxWindow::WSimpleMailboxWindow(string_t title, GMessagebox& mbox)
    : UIWindow(title, BLUE_WINDOW, COLOR_BLACK)
{
    init(mbox);
}

void
WSimpleMailboxWindow::init(GMessagebox& mbox)
{
    //  VBox
    //    WMessageDisplay
    //    HBox
    //      UIButton "Close"
    //      UISpacer
    //      UIButton "Help"
    setLayout(UIVBoxLayout::instance5);

    UIGroup& g1  = h.add(new UIGroup(UIHBoxLayout::instance5));

    add(h.add(new WMessageDisplay(0, mbox)));
    add(g1);

    g1.add(h.add(new UIButton(1, _("Close"), SDLK_ESCAPE)).addStop());
    g1.add(h.add(new UISpacer()));
    g1.add(h.add(new UIButton(_("Help"), 'h')));

    add(h.add(new UIPrefixArg()));
    add(h.add(new WHelpWidget("pcc2:msgin")));
    add(h.add(new UIQuit(1)));

    pack();
}
