/**
  *  \file u/t_util.h
  *  \brief Testsuite for utility library (util/).
  *  \ingroup Testsuite
  */
#ifndef PCC_V2_U_T_UTIL_H
#define PCC_V2_U_T_UTIL_H

#include <cxxtest/TestSuite.h>
#include "u/helper.h"

class UtilAtomTestSuite : public CxxTest::TestSuite {
 public:
    void testHash();
    void testAtom();
};

class UtilCmdlineTestSuite : public CxxTest::TestSuite {
 public:
    void testCommandLineParser();
};

class UtilConfTestSuite : public CxxTest::TestSuite {
 public:
    void testValueIntParser();
    void testValueBoolParser();
    void testValueBitsetParser();
};

class UtilIdAllocTestSuite : public CxxTest::TestSuite {
 public:
    void testIdAlloc();
};

class UtilMiscTestSuite : public CxxTest::TestSuite {
 public:
    void testStringMatch();
    void testStringValue();
    void testParseFlags();
    void testParseRange();
    void testNumToRoman();
    void testSafeAppendClear();
};

class UtilPluginTestSuite : public CxxTest::TestSuite {
 public:
    void testVersion();
};

class UtilRandomTestsuite : public CxxTest::TestSuite {
 public:
    void testRandom();
};

class UtilStrtabTestSuite : public CxxTest::TestSuite {
 public:
    void testStaticTable();
};

class UtilXmlreadTestSuite : public CxxTest::TestSuite {
 public:
    void testUtf8();
    void testLatin1();
    void testKOI8R();
    void testUtf16LE();
    void testUtf16BE();
    void testText();
};

#endif
